
CoCoALib - Feature #811

Add new fn SimplestBinaryRatBetween

21 Nov 2015 14:48 - John Abbott

Status: Closed Start date: 21 Nov 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 1.90 hour

Target version: CoCoALib-0.99540 Feb 2016 Spent time: 2.45 hours

Description

In some applications it is helpful to use "binary rationals" (denom is a power of 2).

Add a new fn SimplestBinaryRatBetween which is much like SimplestBigRatBetween except that the result is the simplest binary

rational.

History

#1 - 21 Nov 2015 14:49 - John Abbott

- Status changed from New to Feedback

- % Done changed from 0 to 90

Implemented; documented (also C5); added test (NumTheory3)

#2 - 21 Nov 2015 20:19 - John Abbott

- Assignee set to John Abbott

Checked in.  Should be OK, but I do have some other files "pending", so it is possible I missed something -- can you check, Anna?

#3 - 23 Nov 2015 11:13 - Anna Maria Bigatti

John Abbott wrote:

Checked in.  Should be OK, but I do have some other files "pending", so it is possible I missed something -- can you check, Anna?

 

Checked out, and it compiles, and runs, and gives correct output ;-)

#4 - 23 Mar 2016 15:10 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
